Subject: Re: bug#58254: 29.0.50; Untracked lib/assert.h with Clang 14
From: Paul Eggert <[email-masked]>
To: "Basil L. Contovounesios" <[email-masked]>
Cc: [email-masked]
Date: Sun, 2 Oct 2022 13:20:48 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 10/2/22 09:10, Basil L. Contovounesios wrote:
> This file is not generated with the default CC=gcc; there is only a
> lib/assert.in.h present.

That's odd. As far as I can see, lib/assert.h is needed only if you need 
to compile lib/filevercmp.c, lib/nanosleep.c, lib/pipe2.c, 
lib/rawmemchr.c, or lib/strtoimax.c, and I don't see why choosing clang 
over gcc would affect whether these files need to be compiled.

I didn't notice the problem partly because I tested on Fedora 36, where 
none of the above files need to be compiled. Anyway, it is indeed a 
glitch on some platforms and I installed the attached patch to fix the 
annoyance. Thanks for reporting it.

From ffce59b3ade02c696f06f73f81e2df2e5f72ae07 Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Sun, 2 Oct 2022 13:05:02 -0700
Subject: [PATCH] * .gitignore: Add lib/assert.h (Bug#58254).

---
 .gitignore | 1 +
 1 file changed, 1 insertion(+)

diff --git a/.gitignore b/.gitignore
index eb77b2388f..c10b3b33d3 100644
--- a/.gitignore
+++ b/.gitignore
@@ -53,6 +53,7 @@ src/emacs-module.h
 
 # C-level sources built by 'make'.
 lib/alloca.h
+lib/assert.h
 lib/byteswap.h
 lib/dirent.h
 lib/errno.h
-- 
2.34.1